Requisitos de sistema

O EnglishCentral é um serviço totalmente baseado na web que não requer a instalação de qualquer software proprietário em seu computador. Tudo que você precisa é um navegador suportado normalmente (veja lista abaixo) e o Adobe Flash Player versão 10 ou superior. Você pode baixar a versão mais recente aqui.

Recomendamos que você tenha uma velocidade de conexão à internet de pelo menos 1 Mb/s para usar o EnglishCentral.

O EnglishCentral suporta os seguintes sistemas operacionais e navegadores:

 

istemas Operacionais Windows XP, Vista, 7
MacOS 10.5, 10.6
Navegadores Internet Explorer 7.0 ou posterior
Firefox 4.0 ou posterior
Safari 5.0 ou posterior

 

Privacy Policy | Terms of Use | Copyright © 2014 EnglishCentral, Inc.